WiPy2.0 can`t get started.

Questions and discussion about The WiPy 1.0 board and CC3200 boards.
Target audience: Users with a WiPy 1.0 or CC3200 board.
Post Reply
Knoahlr
Posts: 7
Joined: Wed Nov 16, 2016 11:37 pm

WiPy2.0 can`t get started.

Post by Knoahlr » Wed Dec 21, 2016 4:53 pm

Hi all,

I just received my WiPy 2.0 board and I`m having trouble doing anything with it.
So far I`ve only succeeded to login with pymakr on my mac. But the minute I do

Code: Select all

wlan=network.WLAN(mode=network.WLAN.STA)
it stops working.

Ftp(using FilZilla) sort of succeeds. I can`t view the files inside the /flash.
Screen and putty fails. Although when I reset the board when logged using screen. I see the initialization process but I still can`t execute any code.

All attempts at updating the firmware using the upgrader tool have failed both on my PC and my mac. (Yes, I connected G23 to GND)
The error is,
connecting...
failed
I tried using the esptool to manually update the firmware but I get an error
A fatal error occurred : Failed to connect to esp32 : Timed out waiting for packet header


Whenever I log into Pymakr on windows I see this error message.

Code: Select all

--------------------------------------------------------------------------------
2016-12-21, 09:55:59
--------------------------------------------------------------------------------
<type 'exceptions.KeyError'>: 
u"Toolbar 'lite' already registered."
--------------------------------------------------------------------------------
  File "C:\Program Files (x86)\Pycom\Pymakr\Pymakr\Plugins\PluginPycomDevice.py", line 90, in __onWindowLoad
    self.__ui.showEvent(event)
  File "C:\Program Files (x86)\Pycom\Pymakr\Pymakr\Plugins\PluginLiteUI.py", line 75, in __windowLoaded
    self.__setupToolbars()
  File "C:\Program Files (x86)\Pycom\Pymakr\Pymakr\Plugins\PluginLiteUI.py", line 197, in __setupToolbars
    self.__initLiteToolbar(self.__ui, self.__toolbars)
  File "C:\Program Files (x86)\Pycom\Pymakr\Pymakr\Plugins\PluginLiteUI.py", line 188, in __initLiteToolbar
    ui.registerToolbar("lite", title, self.__toolbar)
  File "C:\Program Files (x86)\Pycom\Pymakr\Pymakr\UI\UserInterface.py", line 3242, in registerToolbar
    raise KeyError("Toolbar '{0}' already registered.".format(name))

--------------------------------------------------------------------------------
Version Numbers:
  Python 2.7.12
  Qt 4.8.7
  PyQt 4.11.4
  sip 4.16.8
  QScintilla 2.9
  WebKit 534.34
  Pymakr 1.0.0.b7

Platform: win32
2.7.12 (v2.7.12:d33e0cf91556, Jun 27 2016, 15:19:22) [MSC v.1500 32 bit (Intel)]
--------------------------------------------------------------------------------
Plugins Version Numbers:
  PluginAbout 6.1.0
  PluginAboutPymakr 1.0.0
  PluginCodeStyleChecker 6.1.0
  PluginCompletionJedi 1.0.3
  PluginEricapi 6.1.0
  PluginEricdoc 6.1.0
  PluginFeedback 1.0.0
  PluginFullUI 1.0.0
  PluginLiteUI 1.0.0
  PluginPycomDevice 1.0.0
  PluginPycomStyle 1.0.0
  PluginPycomSync 1.0.0
  PluginREPL 1.0.0
  PluginSyntaxChecker 6.1.0
  PluginTabnanny 6.1.0
  PluginUpdate 1.0.0
  PluginVcsMercurial 6.1.0
  PluginVcsPySvn 6.1.0
  PluginVcsSubversion 6.1.0
  PluginVmListspace 6.1.0
  PluginVmTabview 6.1.0
  PluginWizardE5MessageBox 6.1.0
  PluginWizardPyRegExp 6.1.0
  PluginWizardQColorDialog 6.1.0
  PluginWizardQFileDialog 6.1.0
  PluginWizardQFontDialog 6.1.0
  PluginWizardQInputDialog 6.1.0
  PluginWizardQMessageBox 6.1.0
  PluginWizardQRegExp 6.1.0
  PluginWizardQRegularExpression 6.1.0
  
Actually I`m using pymakr 1.0.0.b8, I don`t know why it`s error log says 1.0.0.b7
Any one have an Idea what I`m doing wrong?

Online
User avatar
pythoncoder
Posts: 1962
Joined: Fri Jul 18, 2014 8:01 am

Re: WiPy2.0 can`t get started.

Post by pythoncoder » Wed Dec 21, 2016 5:21 pm

Pycom support the WiPy2.0 on their forum https://forum.pycom.io/ - you'll get the best response by posting there.
Peter Hinch

Post Reply